# API Reference

Spydra provides APIs to easily build and integrate your Blockchain use cases.

With Spydra's APIs, you can interact with your Web2/customer-facing/internal apps with your Blockchain Networks on Spydra easily.  From creating Assets, Events, Tokens, and NFTs on Spydra to getting notifications on your apps, Spydra APIs enable you to build your Web3 use cases without time-consuming efforts.

## Asset Tokenization API

Asset tokenization allows you to create Assets, Events and map them in multiple industries like Supply chain, Logistics, Medicine, Mining, etc.

* Enables you to create Asset Types with attributes and Assets
* Enables you to create Event Types and Events
* Query Assets and Events on any attribute of the object using Graph QL

### Asset tokenization

{% content-ref url="api-reference/asset-tokenization/rest-api" %}
[rest-api](https://docs.spydra.app/developers/api-reference/asset-tokenization/rest-api)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.spydra.app/developers/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
